# $Revision: 1.18 $, $Date: 2008/07/27 22:48:30 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	String
%define		pnam	KeyboardDistance
Summary:	String::KeyboardDistance - string comparison algorithm
Summary(pl.UTF-8):	String::KeyboardDistance - algorytm porównywania łańcuchów
Name:		perl-String-KeyboardDistance
Version:	1.01
Release:	4
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	366c4b5641725eb833cca800ee85e352
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implemements a version of keyboard distance for fuzzy
string matching. Keyboard distance is a measure of the physical
distance between two keys on a keyboard. For example, 'g' has a
distance of 1 from the keys 'r', 't', 'y', 'f', 'h', 'v', 'b', and
'n'. Immediate diagonals (like 'r', 'y', 'v', and 'n') are considered
to have a distance of 1 instead of 1.414 to help to prevent
horizontal/vertical bias.

%description -l pl.UTF-8
Ten moduł jest implementacją pewnej wersji odległości klawiaturowej
do rozmytego dopasowywania łańcuchów. Odległość klawiaturowa to miara
fizycznej odległości pomiędzy dwoma klawiszami na klawiaturze. Na
przykład, 'g' ma odległość 1 od klawiszy 'r', 't', 'y', 'f', 'h', 'v',
'b' i 'n'. Dla bezpośrednich sąsiadów po przekątnej (jak 'r', 'y', 'v'
i 'n') uznaje się odległość 1 zamiast 1.414, aby zapobiec skłonnościom
poziomym i pionowym.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-String-KeyboardDistance.spec,v $
Revision 1.18  2008/07/27 22:48:30  arekm
- release 4

Revision 1.17  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.15  2004/11/03 22:30:45  paladine
- formatting

Revision 1.14  2004/05/06 18:21:08  ankry
- fixed perl-devel BR

Revision 1.13  2004/05/01 00:31:59  ankry
- license fixed, cosmetics

Revision 1.12  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.11  2004/04/15 20:30:24  ankry
- cosmetics, unification

Revision 1.10  2003/09/09 10:24:49  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:15  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 20:46:37  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:25  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/27 22:37:23  qboosh
- pl description, release 2

Revision 1.1  2002/08/09 10:00:08  radek
- new, STBR
